/*
 * BTLCard.h
 * StoryWriter
 *
 * A Storywriter card 
 * 
 * Created by Matthew Christensen on Thur Oct 14 2004
 * Copyright © 2004 Matthew Christensen. All rights reserved.
 */

#import <Cocoa/Cocoa.h>


@interface BTLCard : NSObject <NSCoding>
{
	unsigned id;
	NSString *name;
	NSString *notes;
	NSNumber *cardId;
	
	// Is this card linked to the text?
	bool linked;
	
	// Is card a comment?
	bool comment;
	
	// Should we display notes
	bool displayNotes;
	
	bool disableNotifications;
	bool hidden;
	
	NSRange range;
}

#pragma mark Initialization

// Designated initializer
- initWithName: (NSString *) name;
- (id)copyWithZone:(NSZone *)zone;

#pragma mark NSCoding support

- (void)encodeWithCoder:(NSCoder *)encoder;
- (id)initWithCoder:(NSCoder *)decoder;

#pragma mark Notifications
- (void) disableNotifications;
- (void) enableNotifications;

// Post a change notification about ourselves
- (void) postChangeNotification;

#pragma mark Accessors

- (NSNumber *) cardId;
- (void) setCardId: (NSNumber *) cardId;

- (void) setName: (NSString *) n;
- (NSString *) name;

- (void) setNotes: (NSString *) n;
- (NSString *) notes;

- (void) setLinked: (bool) b;
- (bool) linked;

- (void) setComment: (bool) b;
- (bool) comment;

- (void) setDisplayNotes: (bool) b;
- (bool) displayNotes;

- (void) setHidden: (bool) b;
- (bool) hidden;

- (NSRange) range;
- (void) setRange: (NSRange) r;
- (void) incrementLocation: (int) delta;
- (void) incrementLength: (int) delta;

@end

// Posted when a card changes
extern NSString *BTLCardChangedNotification;
