/*
 * BTLPreviewView.h
 * MooseTracker
 *
 * Custom view class for previewing storywriter documents
 * 
 * Created by Matthew Christensen on Wed Sept 01 2004
 * Copyright ¬© 2004 Matthew Christensen. All rights reserved.
 */

#import <Cocoa/Cocoa.h>

@class BTLPrintPageView;
@class BTLDocumentInfo;

@interface BTLPreviewView : NSView 
{
	NSView *lastView;
	NSMutableArray *pages;
}

// Called by notification to redraw ourselves
- (void) documentInfoChanged;

// Add a page to our view
- (void) addPage: (BTLPrintPageView *) v;

// Remove the last page (including view)
- (void) removeLastPage;

// Number of pages we have
- (unsigned) pageCount;

// Get the list of pages
- (NSArray *) pages;

// Remove all pages contained by us
- (void) removeAllPages;

@end
