/*
 * BTLScreenplayTemplate.h
 * StoryWriter
 *
 * Template used for screenplays. Contains 4 primary styles -- action (the default), slugline,  dialog, and "special"
 * Dialog consists of the dialog name, followed by an optional description (in parens), followed by the dialog
 *
 * Created by Matthew Christensen on Mon Sept 05 2004
 * Copyright © 2004 Matthew Christensen. All rights reserved.
 */

#import <Cocoa/Cocoa.h>

#import "BTLTemplate.h"

@class BTLStyle;
@class BTLScreenplayStyle;
@interface BTLScreenplayTemplate : BTLTemplate 
{
	BTLStyle *sluglineStyle;
	BTLScreenplayStyle *actionStyle;
	BTLScreenplayStyle *specialStyle;
	BTLScreenplayStyle *dialogCharacterStyle;
	BTLScreenplayStyle *dialogDirectionStyle;
	BTLScreenplayStyle *dialogTextStyle;
	BTLScreenplayStyle *notesStyle;
	
	NSArray *autocompleteItems;
	NSFont *defaultFont;
}

#pragma mark Accessors

- (BTLStyle *) actionStyle;
- (BTLStyle *) sluglineStyle;
- (BTLStyle *) transitionStyle;
- (BTLStyle *) dialogCharacterStyle;
- (BTLStyle *) dialogDirectionStyle;
- (BTLStyle *) dialogTextStyle;

@end
