/*
 * BTLTextStorageUndoCommand.m
 * StoryWriter
 *
 * Class that represents the undo action for a given BTLTextStorage action.
 * 
 * Created by Matthew Christensen on Tuesday Oct 4 2004
 * Copyright © 2004 Matthew Christensen. All rights reserved.
 */

#import <Cocoa/Cocoa.h>

@class BTLTextStorage;
@class BTLCard;

@interface BTLTextStorageUndoCommand : NSObject 
{
	NSDictionary *oldAttributes;
	NSRange oldRange;
	NSAttributedString *oldString;
	NSAttributedString *oldFormatted;
	unsigned oldLen;
		
	bool removeCard;
}

// Designated initializer
- initWithAttributes: (NSDictionary *) attr withRange: (NSRange) range;
- initWithAttributedString: (NSAttributedString *) str 
		   formattedString:  (NSAttributedString *) formattedString
				 withRange: (NSRange) range
					oldLen: (unsigned) l;


- (bool) stringUndoCommand;
- (NSRange) oldRange;
- (unsigned) oldLen;

#pragma mark Command

// Execute the action on the given textstorage.
- (void) execute: (BTLTextStorage *) str;

- (NSString *) asString;

@end
