/*
 * BTLTranslator.h
 * StoryWriter
 *
 * Translators handle manipulation of Storywriter data into and from other formats, like text
 * or RTF.
 * 
 * Created by Matthew Christensen on Friday Aug 27 2004
 * Copyright © 2004 Matthew Christensen. All rights reserved.
 */

#import <Cocoa/Cocoa.h>
#import "BTLTextViewDelegate.h"

@class BTLTemplate;
@class BTLTextStorage;
@class BTLTextViewDelegate;
@class BTLDocumentInfo;


@interface BTLTranslator : NSObject 
{
	BTLTemplate *template;
}

#pragma mark Iniitialization

- initWithTemplate: (BTLTemplate *) t;

#pragma mark Import

// Import this template to a string from text
- (NSAttributedString *) importFromText: (NSString *) text
							   delegate: (id <BTLTextViewDelegate>) obj
								   info: (BTLDocumentInfo *) info;
#pragma mark Export

// Translate storywriter data to text
- (NSString *) exportToText: (BTLTextStorage *) text;

@end
